<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>Deprecated List (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Deprecated List (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "./";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li class="navBarCell1Rev">Deprecated</li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 title="Deprecated API" class="title">Deprecated API</h1>
<h2 title="Contents">Contents</h2>
<ul>
<li><a href="#method">Methods</a></li>
</ul>
</div>
<div class="contentContainer"><a id="method">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<table class="deprecatedSummary">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colDeprecatedItemName" scope="row"><a href="com/mxgraph/util/mxUtils.html#createDocument()">hk.quantr.mxgraph.util.mxUtils.createDocument()</a></th>
<td class="colLast">
<div class="deprecationComment">Use <code>mxDomUtils.createDocument</code> (Jan 2012)</div>
</td>
</tr>
<tr class="rowColor">
<th class="colDeprecatedItemName" scope="row"><a href="com/mxgraph/util/mxUtils.html#createHtmlDocument()">hk.quantr.mxgraph.util.mxUtils.createHtmlDocument()</a></th>
<td class="colLast">
<div class="deprecationComment">Use <code>mxDomUtils.createHtmlDocument</code> (Jan 2012)</div>
</td>
</tr>
<tr class="altColor">
<th class="colDeprecatedItemName" scope="row"><a href="com/mxgraph/util/mxUtils.html#createSvgDocument(int,int)">hk.quantr.mxgraph.util.mxUtils.createSvgDocument&#8203;(int, int)</a></th>
<td class="colLast">
<div class="deprecationComment">Use <code>mxDomUtils.createSvgDocument(int, int)</code> (Jan 2012)</div>
</td>
</tr>
<tr class="rowColor">
<th class="colDeprecatedItemName" scope="row"><a href="com/mxgraph/util/mxUtils.html#createVmlDocument()">hk.quantr.mxgraph.util.mxUtils.createVmlDocument()</a></th>
<td class="colLast">
<div class="deprecationComment">Use <code>mxDomUtils.createVmlDocument</code> (Jan 2012)</div>
</td>
</tr>
<tr class="altColor">
<th class="colDeprecatedItemName" scope="row"><a href="com/mxgraph/util/mxUtils.html#getStylename(java.lang.String)">hk.quantr.mxgraph.util.mxUtils.getStylename&#8203;(String)</a></th>
<td class="colLast">
<div class="deprecationComment">Use <code>mxStyleUtils.getStylename(String)</code> (Jan 2012)</div>
</td>
</tr>
<tr class="rowColor">
<th class="colDeprecatedItemName" scope="row"><a href="com/mxgraph/util/mxUtils.html#getStylenames(java.lang.String)">hk.quantr.mxgraph.util.mxUtils.getStylenames&#8203;(String)</a></th>
<td class="colLast">
<div class="deprecationComment">Use <code>mxStyleUtils.getStylenames(String)</code> (Jan 2012)</div>
</td>
</tr>
<tr class="altColor">
<th class="colDeprecatedItemName" scope="row"><a href="com/mxgraph/util/mxUtils.html#getXml(org.w3c.dom.Node)">hk.quantr.mxgraph.util.mxUtils.getXml&#8203;(Node)</a></th>
<td class="colLast">
<div class="deprecationComment">Use <code>mxXmlUtils.getXml(Node)</code> (Jan 2012)</div>
</td>
</tr>
<tr class="rowColor">
<th class="colDeprecatedItemName" scope="row"><a href="com/mxgraph/util/mxUtils.html#indexOfStylename(java.lang.String,java.lang.String)">hk.quantr.mxgraph.util.mxUtils.indexOfStylename&#8203;(String, String)</a></th>
<td class="colLast">
<div class="deprecationComment">Use <code>mxStyleUtils.indexOfStylename(String, String)</code> (Jan 2012)</div>
</td>
</tr>
<tr class="altColor">
<th class="colDeprecatedItemName" scope="row"><a href="com/mxgraph/util/mxUtils.html#parseXml(java.lang.String)">hk.quantr.mxgraph.util.mxUtils.parseXml&#8203;(String)</a></th>
<td class="colLast">
<div class="deprecationComment">Use <code>mxXmlUtils.parseXml</code> (Jan 2012)</div>
</td>
</tr>
<tr class="rowColor">
<th class="colDeprecatedItemName" scope="row"><a href="com/mxgraph/util/mxUtils.html#removeAllStylenames(java.lang.String)">hk.quantr.mxgraph.util.mxUtils.removeAllStylenames&#8203;(String)</a></th>
<td class="colLast">
<div class="deprecationComment">Use <code>mxStyleUtils.removeAllStylenames(String)</code> (Jan 2012)</div>
</td>
</tr>
<tr class="altColor">
<th class="colDeprecatedItemName" scope="row"><a href="com/mxgraph/util/mxUtils.html#setCellStyleFlags(hk.quantr.mxgraph.model.mxIGraphModel,java.lang.Object%5B%5D,java.lang.String,int,java.lang.Boolean)">hk.quantr.mxgraph.util.mxUtils.setCellStyleFlags&#8203;(mxIGraphModel, Object[], String, int, Boolean)</a></th>
<td class="colLast">
<div class="deprecationComment">Use <code>mxStyleUtils.setCellStyleFlags(mxIGraphModel, Object[],String, int, Boolean)</code> (Jan 2012)</div>
</td>
</tr>
<tr class="rowColor">
<th class="colDeprecatedItemName" scope="row"><a href="com/mxgraph/util/mxUtils.html#setCellStyles(hk.quantr.mxgraph.model.mxIGraphModel,java.lang.Object%5B%5D,java.lang.String,java.lang.String)">hk.quantr.mxgraph.util.mxUtils.setCellStyles&#8203;(mxIGraphModel, Object[], String, String)</a></th>
<td class="colLast">
<div class="deprecationComment">Use <code>mxStyleUtils.setCellStyles(mxIGraphModel, Object[], String, String)</code> (Jan 2012)</div>
</td>
</tr>
<tr class="altColor">
<th class="colDeprecatedItemName" scope="row"><a href="com/mxgraph/util/mxUtils.html#setStyle(java.lang.String,java.lang.String,java.lang.String)">hk.quantr.mxgraph.util.mxUtils.setStyle&#8203;(String, String, String)</a></th>
<td class="colLast">
<div class="deprecationComment">Use <code>mxStyleUtils.setStyle(String, String, String)</code> (Jan 2012)</div>
</td>
</tr>
<tr class="rowColor">
<th class="colDeprecatedItemName" scope="row"><a href="com/mxgraph/util/mxUtils.html#setStyleFlag(java.lang.String,java.lang.String,int,java.lang.Boolean)">hk.quantr.mxgraph.util.mxUtils.setStyleFlag&#8203;(String, String, int, Boolean)</a></th>
<td class="colLast">
<div class="deprecationComment">Use <code>mxStyleUtils.setStyleFlag(String, String, int, Boolean)</code> (Jan 2012)</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li class="navBarCell1Rev">Deprecated</li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
